Bug 170601 - missing buildrequirement for 32bit glibc-devel
missing buildrequirement for 32bit glibc-devel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: compat-gcc-32 (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-13 07:47 EDT by Karsten Hopp
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-17 10:31:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log of failed build (262.04 KB, text/plain)
2005-10-13 07:48 EDT, Karsten Hopp
no flags Details

  None (edit)
Description Karsten Hopp 2005-10-13 07:47:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b3) Gecko/20050827 Fedora/1.1-0.2.8.deerpark.alpha2 Firefox/1.0+

Description of problem:
Package fails to build on a minimal x86_64 rawhide system:
./xgcc -B./ -B/usr/x86_64-redhat-linux/bin/ -isystem /usr/x86_64-redhat-linux/include -isystem /usr/x86_64-redhat-linux/sys-include -O2  -DIN_GCC    -W -Wall -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -isystem ./include  -fPIC -g -DHAVE_GTHR_DEFAULT -DIN_LIBGCC2 -D__GCC_FLOAT_NOT_NEEDED  -I. -I. -I../../gcc -I../../gcc/. -I../../gcc/config -I../../gcc/../include  -m32 -DL_muldi3 -c ../../gcc/libgcc2.c -o libgcc/32/_muldi3.o
In file included from /usr/include/features.h:340,
                 from /usr/include/signal.h:29,
                 from ../../gcc/config/i386/linux64.h:77,
                 from tconfig.h:23,
                 from ../../gcc/libgcc2.c:40:
/usr/include/gnu/stubs.h:7:27: gnu/stubs-32.h: No such file or directory

Version-Release number of selected component (if applicable):
compat-gcc-32-3.2.3-47.fc4

How reproducible:
Always

Steps to Reproduce:
1. install 64bit rawhide without 32bit packages
2. try to build compat-gcc-32-3.2.3-47.fc4
3.
  

Additional info:
Comment 1 Karsten Hopp 2005-10-13 07:48:01 EDT
Created attachment 119887 [details]
log of failed build
Comment 2 Jakub Jelinek 2005-10-17 10:31:13 EDT
Fixed in CVS, but IMNSHO not severe enough to require an immediate rebuild.

Note You need to log in before you can comment on or make changes to this bug.